defmodule DecentralisedBookIndex.SyncTasks.SyncPublishersTaskTest do
  use DecentralisedBookIndex.DataCase

  alias DecentralisedBookIndex.SyncTasks.SyncPublishersTask
  alias DecentralisedBookIndex.Metadata

  alias DecentralisedBookIndex.TestEndpoints
  @test_server_endpoint TestEndpoints.test_api_endpoint()

  describe "sync publishers tasks" do
    test "sync publisher" do
      server = generate(dbi_server(url: @test_server_endpoint))

      {:ok, _publisher} = Metadata.create_publisher("Publisher")
      {:ok, _publisher} = Metadata.create_publisher("Publisher2")

      assert server = SyncPublishersTask.sync(server)
    end
  end
end
